{% extends 'app/base.html' %}


{% block content %}
<h1 class="mb-5 mt-5">Available jobs</h1>

<form action="{% url 'app:jobs' %}" method="get">
  <div class="container">
    <div class="row mb-3">
      <div class="col-md-3">
        <label for="target_lang">Search jobs</label>
        <form class="d-flex " method=POST action="{% url 'app:jobs' %}">
          {% csrf_token %}
           <input class="form-control" type="search" placeholder="Search jobs" aria-label="Search" name="search">
        </form>
      </div>
      <div class="col-md-3">
        <div class="form-group ">
          <label for="target_lang">Source Language</label>
          <select class="form-control" id="source_lang" name="source_lang">
            <option value="">Any language</option>
            {% for code, lang in languages  %}
              <option value="{{ lang }}" {% if params.source_lang == lang %} selected {% endif %}>{{ lang }}</option>
            {% endfor %}
          </select>
        </div>

      </div>
      <div class="col-md-3">
        <div class="form-group ">
          <label for="target_lang">Target Language</label>
          <select class="form-control" id="target_lang" name="target_lang">
            <option value="">Any language</option>
            {% for code, lang in languages  %}
              <option value="{{ lang }}" {% if params.target_lang == lang %} selected {% endif %}>{{ lang }}</option>
            {% endfor %}
          </select>
        </div>
      </div>
      <div class="col-md-3">
        <div class="form-group ">
          <label for="sort">Sort by</label>
          <select class="form-control" id="sort" name="sort">
            <!-- params.sort is the value of the sort query parameter -->
            <!-- it is passed in the context from the view -->
            <!-- if the value of the sort query parameter is equal to the value of the option, then we add the selected attribute -->
            <option value="default" {% if params.sort == "default" %} selected {% endif %}>Default</option>
            <option value="budget_asc" {% if params.sort == "budget_asc" %} selected {% endif %}>Budget Asc</option>
            <option value="budget_desc" {% if params.sort == "budget_desc" %} selected {% endif %}>Budget Desc</option>
            <option value="deadline_asc" {% if params.sort == "deadline_asc" %} selected {% endif %}>Deadline Asc</option>
            <option value="deadline_desc" {% if params.sort == "deadline_desc" %} selected {% endif %}>Deadline Desc</option>
          </select>
        </div>
      </div>
      <div class="col-md-12">
        <!-- submit button -->
        <div class="form-group">
          <button type="submit" class="btn custom-btn mt-4">Filter</button>
        </div>
      </div>
    </div>
  </div>
</form>

<table class="table table-bordered custom-table">
  {% for job, my_bid in jobs %}
      <tr class="{% if my_bid %} placed-bid {% endif %}">
        <td>
          <strong>
            <a href="{% url 'app:job_detail' job.id %}">{{ job.title }}</a>
          </strong>
        </td>
        <td>
          <a href="{% url 'accounts:profile' job.user.id %}">
            {{ job.owner.name }}
          </a>
          {% if job.owner.profile %}
            <img class="logo" src="{{ job.owner.profile.url }}" alt="Profile">
            
          {% else %}
            <img class="logo" src="/media/default_profile_image.jpeg" alt="Default">
          {% endif %}


        </td>
        <!--https://stackoverflow.com/a/6127466/347891-->
        <td>{{ job.get_source_lang_display }} to {{ job.get_target_lang_display }} </td>
        <td>Budget: {{ job.budget }}</td>
        

          <td>
            {% if job.deadline_days < 0 %}
              Deadline has passed.
            {% else %}
              Deadline: {{ job.deadline_days }}
            {% endif %}
          </td>

        
        
        
      </tr>
      <tr class="{% if my_bid %} placed-bid {% endif %}">
        <td colspan="3">
          {{ job.description }}
        </td>
        <td>
          {{ job.get_field_display }}
        </td>
      </tr>
      <tr class="{% if my_bid %} placed-bid {% endif %}">
        {% if my_bid is None and job.user != request.user %}
          <td colspan="4" class="bid-controls-row">
            <a href="{% url 'app:job_detail' job.id %}" class="btn custom-btn ms-2 mt-2 mb-5">Submit a quote</a>
            <a href="{% url 'app:send_message' job.user.id %}" class="btn custom-btn2 ms-3 mt-2 mb-5">Message Job Owner</a>
          </td>
        {% elif my_bid  %}
          <td colspan="4"><p>You already placed a bid for <strong>{{ my_bid.price }}</strong></p></td>
        {% elif job.user == request.user  %}
          <td colspan="4"><p>This is your job!</p></td>
        {% endif %}
      </tr>
  {% empty %}
    <tr>
      <td colspan="4"> No available jobs at this moment</td>
    </tr>
  {% endfor %}
  </table>


{% endblock content %}
